package eu.eudat.logic.proxy.config;

import javax.xml.bind.annotation.XmlElement;

/**
 * Created by ikalyvas on 6/29/2018.
 */
public class DataUrlConfiguration {
    private String path;
    private DataFieldsUrlConfiguration fieldsUrlConfiguration;

    public String getPath() {
        return path;
    }

    @XmlElement(name = "path")
    public void setPath(String path) {
        this.path = path;
    }

    public DataFieldsUrlConfiguration getFieldsUrlConfiguration() {
        return fieldsUrlConfiguration;
    }

    @XmlElement(name = "fields")
    public void setFieldsUrlConfiguration(DataFieldsUrlConfiguration fieldsUrlConfiguration) {
        this.fieldsUrlConfiguration = fieldsUrlConfiguration;
    }
}
